unit MainFrm;

{$mode objfpc}{$H+}

interface

uses
  Classes, Forms, StdCtrls, Dialogs, RTTICtrls;

type

  { TMainForm }

  TMainForm = class(TForm)
    Button1: TButton;
    TIEdit1: TTIEdit;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  end;

  { TMyClass }

  TMyClass = class(TPersistent)
  private
    FMyAttribute: string;
  published
    property MyAttribute: string read FMyAttribute write FMyAttribute;
  end;

var
  MainForm: TMainForm;
  MyClass: TMyClass;

implementation

{$R *.lfm}

{ TMainForm }

procedure TMainForm.FormCreate(Sender: TObject);
begin
  MyClass := TMyClass.Create;
  MyClass.MyAttribute := 'TEST';
  TIEdit1.Link.TIObject := MyClass;
  TIEdit1.Link.TIPropertyName := 'MyAttribute';
end;

procedure TMainForm.FormDestroy(Sender: TObject);
begin
//  TIEdit1.Link.TIObject := nil; // << No more necessary.
  MyClass.Free;
end;

procedure TMainForm.Button1Click(Sender: TObject);
begin
  ShowMessage(MyClass.MyAttribute);
end;

end.

